Package com.xebialabs.xlrelease.service

## Class ExecuteNextCustomScriptPath

- java.lang.Object
- - com.xebialabs.xlrelease.service.ExecuteNextCustomScriptPath

- All Implemented Interfaces:
    `PostAction`, `TaskPostAction`, `java.io.Serializable`, `scala.Equals`, `scala.Product`

      public class ExecuteNextCustomScriptPath
      extends java.lang.Object
      implements TaskPostAction, scala.Product, java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExecuteNextCustomScriptPath​(CustomScriptTask task)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ExecuteNextCustomScriptPath` | `apply​(CustomScriptTask task)` |
    `boolean` | `canEqual​(java.lang.Object x$1)` |
    `ExecuteNextCustomScriptPath` | `copy​(CustomScriptTask task)` |
    `CustomScriptTask` | `copy$default$1()` |
    `boolean` | `equals​(java.lang.Object x$1)` |
    `int` | `hashCode()` |
    `int` | `productArity()` |
    `java.lang.Object` | `productElement​(int x$1)` |
    `java.lang.String` | `productElementName​(int x$1)` |
    `scala.collection.Iterator<java.lang.Object>` | `productIterator()` |
    `java.lang.String` | `productPrefix()` |
    `CustomScriptTask` | `task()` |
    `java.lang.String` | `toString()` |
    `static scala.Option<CustomScriptTask>` | `unapply​(ExecuteNextCustomScriptPath x$0)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface scala.Product

      `productElementNames`

- - ### Constructor Detail

    - #### ExecuteNextCustomScriptPath

          public ExecuteNextCustomScriptPath​(CustomScriptTask task)

  - ### Method Detail

    - #### apply

          public static ExecuteNextCustomScriptPath apply​(CustomScriptTask task)

    - #### unapply

          public static scala.Option<CustomScriptTask> unapply​(ExecuteNextCustomScriptPath x$0)

    - #### task

          public CustomScriptTask task()

      Specified by:
        `task` in interface `TaskPostAction`

    - #### copy

          public ExecuteNextCustomScriptPath copy​(CustomScriptTask task)

    - #### copy$default$1

          public CustomScriptTask copy$default$1()

    - #### productPrefix

          public java.lang.String productPrefix()

      Specified by:
        `productPrefix` in interface `scala.Product`

    - #### productArity

          public int productArity()

      Specified by:
        `productArity` in interface `scala.Product`

    - #### productElement

          public java.lang.Object productElement​(int x$1)

      Specified by:
        `productElement` in interface `scala.Product`

    - #### productIterator

          public scala.collection.Iterator<java.lang.Object> productIterator()

      Specified by:
        `productIterator` in interface `scala.Product`

    - #### canEqual

          public boolean canEqual​(java.lang.Object x$1)

      Specified by:
        `canEqual` in interface `scala.Equals`

    - #### productElementName

          public java.lang.String productElementName​(int x$1)

      Specified by:
        `productElementName` in interface `scala.Product`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object x$1)

      Specified by:
        `equals` in interface `scala.Equals`
      Overrides:
        `equals` in class `java.lang.Object`